Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044662
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-07-22 11:582020-09-18 12:53
Reportersanti_lozanoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044662: Discounts are not updated on webpos after incremental refresh

DescriptionCreating or updating a discount on window Discounts and Promotions from backoffice is not being reflected on Web POS after an incremental refresh, one needs to do a full refresh in order to have the new changes here
Steps To Reproduce1) go to livebuilds retail with modules, access to web pos on one browser
2) create a new discount from backoffice (WVG as role) on other browser as in the images attached
3) click on reload this page on your browser of the web pos. Add a product to the ticket, click on discount button after selecting the product added (right panel), search for discounts (click on the magnifying glass to show all available discounts twice), then the new discount doesn't appear here
4) clear the cache (maybe it’s necessary to unlink device from channel touchpoint window of the backoffice and link again), do the same steps (add a product and search for discounts), now discount appears here
5) modify the discount from backoffice as in the image
6) repeat step 3, modifications are not visible yet
7) repeat step 4
TagsNOR
Attached Filespng file icon new discount 01.png [^] (167,169 bytes) 2020-07-22 11:58


png file icon new discount 02.png [^] (139,080 bytes) 2020-07-22 12:01


png file icon modify discount 01.png [^] (166,405 bytes) 2020-07-22 12:01

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044828 closedRetail Incremental refresh is not working for the Price Adjustment By Product in webpos 
related to defect 0045155 closedRetail Discount and promotion- Removing filters are not sent to WebPOS 
related to defect 0045153 closedranjith_qualiantech_com Discount and promotion - Disabling organizations are not sent to WebPOS 
related to defect 0045188 closedranjith_qualiantech_com Incremental Refresh fail: continues the load when it should stop 
causes defect 0045154 closedranjith_qualiantech_com Discount and promotion - Filter change are not sent to WebPOS 

-  Notes
(0121565)
santi_lozano (developer)
2020-07-22 12:10

Customer is using 20Q1.2 version
(0121697)
hgbot (developer)
2020-07-30 09:39

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/38 [^]
(0121698)
hgbot (developer)
2020-07-30 09:43

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/38 [^]
(0121699)
hgbot (developer)
2020-07-30 09:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/38 [^]
(0121700)
hgbot (developer)
2020-07-30 09:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: ee36cd533dea9c2dcd5682dc9b604530c5136b55
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-07-30T13:16:11+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/ee36cd533dea9c2dcd5682dc9b604530c5136b55 [^]

Fixed ISSUE-44662: Updated Incremental Criteria in Discount query
* IncrementalUpdateCriteria should be applied for both full and incremental refresh

---
M src/org/openbravo/retail/posterminal/master/Discount.java
---

- Issue History
Date Modified Username Field Change
2020-07-22 11:58 santi_lozano New Issue
2020-07-22 11:58 santi_lozano Assigned To => Retail
2020-07-22 11:58 santi_lozano File Added: new discount 01.png
2020-07-22 11:58 santi_lozano Resolution time => 1597183200
2020-07-22 11:58 santi_lozano Triggers an Emergency Pack => No
2020-07-22 12:01 santi_lozano File Added: new discount 02.png
2020-07-22 12:01 santi_lozano File Added: modify discount 01.png
2020-07-22 12:10 santi_lozano Note Added: 0121565
2020-07-27 05:38 shankarb Issue Monitored: shankarb
2020-07-28 11:51 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-07-29 06:53 ranjith_qualiantech_com Status new => scheduled
2020-07-30 09:39 hgbot Note Added: 0121697
2020-07-30 09:43 hgbot Note Added: 0121698
2020-07-30 09:57 hgbot Note Added: 0121699
2020-07-30 09:57 hgbot Resolution open => fixed
2020-07-30 09:57 hgbot Status scheduled => closed
2020-07-30 09:57 hgbot Fixed in Version => RR20Q4
2020-07-30 09:57 hgbot Note Added: 0121700
2020-09-17 14:38 rafaroda Relationship added related to 0044828
2020-09-18 12:53 rafaroda Tag Attached: NOR
2020-09-28 16:17 rafaroda Relationship added related to 0045155
2020-09-28 16:17 rafaroda Relationship added causes 0045154
2020-09-28 16:17 rafaroda Relationship added related to 0045153
2020-10-05 11:41 rafaroda Relationship added related to 0045188


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker